[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Problem testing with piuparts

On Mon, Nov 22, 2010 at 6:05 PM, Holger Levsen <holger@layer-acht.org> wrote:
>> piuparts fails with error that seem unrelated to my package:
>>  0m35.5s ERROR: Broken symlinks:
>>  /usr/lib/python2.4/site-packages/python-support.pth ->
>> /var/lib/python-support/python2.4/.path
>> Can you recommend any best practices or helper scripts?
> a.) file a bug against the dependend package

Is it python-support?

> b.) use --warn-on-others which should make piuparts not complain about
> problems in dependent packages. It doesn't and cannot work for all cases.
> c.) use --no-symlinks to disable this particular test.

--no-symlinks with -I pysupport and -I ssl helped. Thanks. But it runs
only installation and purging test. How to make it run upgrade test

> d.) RTFM: http://piuparts.debian.org/doc/piuparts.1.html and
> http://piuparts.debian.org/doc/README.html
> (in no particular order)
> btw, what are you doing with python2.4? it's not in squeeze :)

Trying to backport latest trac-bitten 0.6b3 to install on development
machine, which is running lenny.

Please, CC.
anatoly t.

Reply to: